// include the library code

#include "Ultrasonic.h"
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <LCD.h>

#define TRIGGER_PIN  2  // Arduino pin tied to trigger pin on the ultrasonic sensor.
#define ECHO_PIN     3  // Arduino pin tied to echo pin on the ultrasonic sensor.
#define RedPin 9 // Red LED
#define GreenPin 10 // Green LED
int RangeCm = 0;
int RangeInch = 0;
Ultrasonic ultrasonic(TRIGGER_PIN, ECHO_PIN);
LiquidCrystal_I2C lcd(0x3F, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE); // set the LCD address to 0x3F
void setup() {
   lcd.begin (16, 2);
  // switch on the backlight
  lcd.setBacklightPin(3, POSITIVE);
  lcd.setBacklight(HIGH);
  Serial.begin(9600); // Open serial monitor at 9600 baud to see ping results.
  pinMode (RedPin, OUTPUT);
  pinMode (GreenPin, OUTPUT);
}

void loop() {
  lcd.clear();
  RangeCm = ultrasonic.Ranging(CM);
  RangeInch = ultrasonic.Ranging(INC);
  Serial.print("Distance: ");
  Serial.print(RangeCm); // convert ping time to distance in cm and print result
  Serial.println("cm");
  Serial.print("Distance: ");
  Serial.print(RangeInch); // convert ping time to distance in ich and print result
  Serial.println("inch");
  lcd.setCursor(0, 0);
  lcd.print("Distance:");
  lcd.setCursor(0, 1);
  lcd.print(RangeCm);
  lcd.setCursor(4, 1);
  lcd.print("cm");
  lcd.setCursor(9, 1);
  lcd.print(RangeInch);
  lcd.setCursor(12, 1);
  lcd.print("inch");
  delay(1000);                      // delay between pings.
  lcd.clear();
  if (RangeCm >= 10)
  {
    digitalWrite(RedPin, HIGH);
    digitalWrite(GreenPin, LOW);
  }
  else
  {digitalWrite(GreenPin, HIGH);
    digitalWrite(RedPin, LOW);}
    
 
}
